Important First Steps

First Time use

The first time the program is run, several 'behind the scenes' things take place.
Three new locations are created:
(a) the Starcharts folder, where your charts must be stored
(b) the Obs folder where your observation reports will be stored and
(c) A new, empty database called starcharts.mdb which consists of two unlinked tables. Actually, there is one default record written to the charts table, for SS Cygni, which you may want to practice editing (or deleting of course). You will also be presented with a text box containing a sample AAVSO-format header, which has to go at the top of each report you send to AAVSO. Change this information to your own settings (i.e., replace my observer code POX with your own and so on) but do not change the 'delimiter' symbol |, as the app uses this internally. I thought it best to do this as other possible symbols may be employed by different users, so a standard is essential. You only have to go through this process once, since each observing session installs this header text at the top of each file you submit. (For details on acceptable header formats, see the AAVSO website)

Essential Reading

Since it is unlikely that any two observers will use the same system, clearly there have to be some across-the board standard formats, and the chief of these is the naming and location of your charts. Note - this relates to your charts' actual files, not the details you manually enter into the database screen.
Even if your main charts are black stars on a white background (i.e., as provided by VSP, the AAVSO chart plotter) the app will display them as red stars on a black background to assist with dark-adaptation. It is important to note that no actual changes are made to your charts - they are just displayed this way on screen. If you have made a finder chart, please note these are not displayed differently, so a black and white finder chart will display as black and white.
Finally, it may be a good idea to save at least some of your charts (if you yet have them) into their folder, or you will have no charts to display in the observations screen when you come to use it!

  1. All your charts (main and finders, if you use them) must be saved in, or moved to, the starcharts folder since that is where the program will look for them - and nowhere else.
  2. Similarly, all your charts must be saved in either the .gif, .png or .jpg formats, as these are the file types the app can display. I suggest saving your charts as 64-colour .gif files if you can since these take up minimal disc space (about half that of an equivalent .png or .jpg file type) thus allowing the app to run faster if you have a large number of charts. Most modern image programs will allow you to write batch files to process many files at once, so you can take all your charts and output them as .gif / .jpg / .png files en bloc, saved into the starcharts folder.
  3. Chart file names must be named after the variable, not in the fashion used by VSP - that is, variable star name, dot, file type - so ss cyg.gif. This is because, when uploaded, star names in your report are checked against VSX, and the program uses the star name to find the chart file.
  4. Finder charts, if you use them, must also be in the following standard format - ss cyg-finder.gif, that is, variable star name, hyphen, finder, dot, gif. (or .png / .jpg)
  5. For a given variable, you can have only one chart (although a chart can contain more than one variable) - so you cannot have, for example, a (c) and (e) scale chart for the same star. That's because computers are stupid creatures and will interpret your (c) and (e) charts as different stars, neither of which exist in VSX and will therefore be rejected by WebObs when you upload your obserations file!


Observations Screen

The Chart Display / Reporting screen

These two functions are combined into one screen. You begin with the right-hand dropdown box which lists constellations. Clicking on a constellation will bring up a list of stars in that constellation for which you have charts. In the screen capture here, I clicked on Auriga (Aur) and the left-hand dropdown now shows all the stars I have charts for in that constellation.
Now clicking on the star's name will retrieve its chart from the charts folder by clicking the Get Chart button. Once the chart is loaded, you can drag it with the mouse to locate the region of interest. The app can cater for charts that are black stars on a white background (the AAVSO chart plotter type) or red stars on a black background (in case you have made such charts yourself). The default is black and white, which the app will display as red stars on a black background. The actual chart itself is not changed in any way - just its appearance in this screen.
If the star has a finder chart, the Get Finder button becomes clickable. The finder chart is not converted to red on black - so you will have to do this yourself if you want using image software. A finder chart can be dismissed by right-clicking on it. To re-show the finder chart, just hit the button again.
Note that a complication may arise when you have more than one variable on the same chart. As an example I have a chart that shows both TX and TV Tau. If I make an obs of (say) TX first and then want to make an obs of TV I still need to go to the dropdown box and click on TV Tau, even though its chart is already displayed! That's because clicking on a star, apart from displaying the chart (which is already displayed in this case) also puts its details into the text boxes. As a matter of interest, this is precisely what caused the 'fake' observation of CH Cyg described under the database help page! To get around this minor bug, if you want, you can of course enter the details manually - but be aware of making typos in this case. The app will not reject the typo, but WebObs will!
Important Note: a little quirk of the way the app works means only one chart per star - so you cannot have, say (b) and (e) scale charts for the same star - because the app searches for a chart using the star's name only; that's why you must name the chart from the star's name - and there is of course no star called ss cyg(d) for example. If you really cannot do without comps that are not on the main chart I suggest you simply make a finder chart with them marked on it.

The text boxes

At the same time as the chart loads, various on-screen text boxes are also populated - with the star's name, its chart date/ID, and the various date and time boxes, which use the computer's inbuilt timer (adding 1 minute to cover the time taken for the observation). The user now needs to make the observation and enter the estimate and comparison star(s) used in the appropriate boxes. Note: in order to speed things up, if the deduced magnitude has a zero decimal place then simply enter the integer and the app will add the zero for you - so if the deduced magnitude is 14.0, just enter 14! Standard AAVSO codes are given in the dropdown above the large textbox. Click on a code where necessary and insert any additional comments under Notes, again if necessary. You can type a maximum of 100 characters into the notes box.
That's it! Hitting the Enter button (or the return key) writes your observation to three places simultaneously: (a) The main observations display box (b) The identical text file for submission to webobs and (c) your cumulative file of observations which can be viewed as described in the database section.
Each time you pick a star, a message appears above the main text box telling you how long ago you previously observed it. This useful piece of information should be used to make sure that you are not over-observing a star. For most slowly-varying stars I find that one, at most two, observations a month is enough.
Remember you ticked or unticked that Observe Nightly box on the Database screen? For stars that need nightly observations (SS Cyg for example) the app formats the Julian Day decimal time to 4 dp. Stars that need less-frequent observing are formatted to just 2. One place would be adequate but I have found that this can cause rounding errors at the AAVSO end. Let's say your obs was made at JD n.3775 and was rounded to JD n.4; you submit the report at JD n.39 and you get an error because your observation according to WebObs has been made in the future! This has happened to me several times, so rounding to 2 dp should eliminate this possibility. If you do get this error in WebObs just wait literally a couple of minutes before re-submitting.

The Observations File

Because the program is database-centric you do not need to save anything - hitting the Enter button does that each time you use it, so you will always have the latest version of your observations file to hand in the event of some disaster or other.
The main text display area is not editable, since it is essentially a mirror of your text file rather than the file itself. But of course the text file (whose full pathname appears in the screen's title bar) is easily editable in a basic editor like Notepad - in fact I would say use only Notepad because you want a pure and simple .txt type file. More advanced word processors insert invisible codes that webobs will take an instant dislike to!

Submitting a Report to AAVSO

When it is time to upload your observations to WebObs, it will ask for the location of the text file you want to upload. All your report files are saved, organised by year, in the Obs folder which is a subfolder of the program (the next time you upload a file, webobs should pick that folder by default. If not, well... you know where it is) and each file is named from the date it was created - so if your session began before, but finishes after midnight, the file will be named with yesterday's date.
Note that the estimate (for instance 105-2 110+4) is not written to the text file but it will be sent to your observations table in the database, for which you have already seen the advantage!
At WebObs, if there is no problem with the file format - which is why it is important to generate the header text properly - you should see a list of your observations, so just scroll down to the bottom and click to submit the file. If there is a problem, WebObs will give some idea as to what this is, so you can open the .txt file in notepad and make any necessary changes.
Important: Please be aware that if you retain a file on disc without uploading it and then, on the same day, start another observing session your older file will be overwritten! If you intend to do this, rename the older file first. You don't in this case have to stick to the 'date' naming scheme - call it anything you like. You can however ignore this advice if you have already successfully uploaded the older file since the observations will be in the AAVSO database as well as in your cumulative file.


The Database Screen

The Database

On initialisation, an empty (access 97 type!) database is created, called starcharts.mdb. This database contains two separate tables. One contains details of all the charts you have and the other contains all the observations you make with the program. This second table is read-only, and even if you have use of access 97 (not likely in this day and age which is also a nifty way to prevent accidental damage being done to the database), I strongly urge you not to change any of your observations in this table, since one never knows if that 'incorrect' observation may one day be of use to someone, somewhere - it has been known!
Hitting the Database button on the start screen will take you to the database screen, where you can add, edit or delete chart information before, during, or after an observing session. To edit or delete information (maybe you have a new updated chart to use, for instance) simply type the name of the star into the search box and its details will be displayed in the text boxes which you can then edit and save by hitting the Edit and if you are happy with that, the Save Changes button.
The grid display at bottom left of the DB screen will initially show stars listed by alphabetical order of constellation. By the way, the obs displayed in the other panel in the screenshot are just dummy ones entered for testing purposes!

Adding a new chart to the Database

When the screen loads, the cursor will be in the first text box, ready to input details for a new star, so just type away. Although initially all the buttons are greyed out, as soon as you start typing in the star name text box, the New Record button becomes clickable, for when you have finished entering the details.
Be careful to follow naming guidelines when entering details for a new chart - always use the official constellation abbreviation in a star's name or your report will be rejected by WebObs due to there being (for instance) no star called R UMaj!
Under the chart date or ID, enter the VSP ID (found at the top right of VSP charts) or the date on the chart.
Tick the observe nightly box if the star needs to be observed on every occasion, such as a CV, YSO etc. With slowly-varying stars like Miras, just untick, or leave the box empty.
Under chart, enter the name of the star only, i.e., ss cyg (the app is not case-sensitive, neither is webobs, so it won't care!) If you use a dedicated finder chart of your own for a given star, enter its name in the appropriate box, again in the same format (ss cyg). NEVER enter the file type for any chart, simply the name of the star. Just hit the appropriate radio button (.png, .gif or .jpg) instead. If you don't use finder charts, or don't have a finder chart for a given star(s) simply leave the box blank.
If a finder chart features more than one variable, just enter the appropriate finder chart for each variable concerned - so for example your finder chart named for SS cyg may also feature WY Cyg, so when you come to enter the details for WY Cyg, enter its finder chart as ss cyg.
Similarly, if there is more than one variable on the same main chart, just enter each separate star's details, so the chart ID/date for T Ori may be 2015. AN Ori on the same chart will also obviously have the same chart ID (you shouldn't need a finder chart for these particular stars!) However, you should only enter details for those stars you actually observe, so if your SS Cyg chart also includes the old nova V1668 Cyg but you don't observe it, there is no need to enter its details anywhere at all.

The program will pick up the last three letters of the star's name (i.e., its constellation abbreviation such as UMa, Ori etc) and insert this into the constellation text box. The program will list all your stars by constellation - but an increasing number of interesting variables do not always have 'constellation' names, such as the MISV stars, VSXJ's and so on. In this case, just overwrite the resulting nonsense in the 'constellation' box with the actual constellation name! Be especially careful here with typos, though again there is no case-sensitivity involved.
If you do not wish to be informed when you have successfully edited a chart's details, tick the 'suppress alerts' box (see below).

Editing details

This is done by first searching for the star whose details you want. A successful search places the details for that star alone in the main DB panel and enables the Edit button. Clicking this button writes the details individually into the text boxes, which become editable. Make your changes and then hit the Save Changes button to actually update the database. These changes are reflected in the main DB panel, which now shows all stars again.
If at any time you want to see the whole database table, just hit the Show All button. You can, alternatively, choose the Search button to simply look at a star's details (newly-updated or otherwise).

Deleting an entry

The same process operates - search for the star you want to delete from the database. If the star is there, its details appear by themselves as before and hitting the Delete button removes it and redisplays the full database - minus your deleted star.

Turning off Confirmations

By default the SUPPRESS ALERTS box is ticked, though if you are deleting a chart the delete confirmation dialog will always be shown, just to be sure. Leaving the box unticked while deleting (i.e., allowing the message box to show) will however show a different message box saying that the star has been deleted. Ticking the box will not show this message box but the pre-delete alert will always be shown as a security measure.

Printing your Chart Catalogue

By hitting the View Report button you can see all your charts tabulated, in order of constellation and then as stars within each constellation. The first page will be shown as an example. From the report screen, you can then print the report, which will show how many pages there are at the foot of the page.

The Observations panel

This is another grid display similar to the charts one, though there is no facility for printing a report of observations, since there are likely to be thousands of these. I am an ardent conservationist and do not believe in wasting paper! The Obs panel shows all observations you have made using the app, arranged in chronological order. If you wish to see your most recent observations first, use the Invert button. To re-show the default view, hit Reset. You also use this button after having performed a search for observations of a selected star.
To do this, just enter the star's name in the 'find' box and hit Find. All your observations of that star are listed in the default order (this time not invertable) and the number of obs of the star indicated in red. Note in the screen capture an obviously aberrant observation. One reason why I decided to make this table read-only (and this is an actual, real-world bad obs of mine!) since now that bad obs has been spotted, the user can inform HQ and they can eliminate that observation of 'CH Cyg' from the AAVSO database and reassign it to TZ Cyg.

To go from the database screen to the actual reporting and observing screen, use the appropriate button. The database screen is still open, but simply hidden from view.


Download your Observations

Downloading your Observations

With CHARA you can include as many of your past observations in the native database as you want, though of course searching is easier and faster with 2500 observations than with 25000! The first step is to go to the WebObs section of the AAVSO website and download your observations in text format. Save this as a .txt file on your machine - you don't need to open it or do anything to it, just save it. Make no changes to it! If you want, call it something sensible such as allmyobs.txt

Having done that, choose the Add your Obs button on the startup screen and simply follow the instructions. Locate your downloaded text file and click on it. Then, as the instructions in red say, just click on the same filename again. That's it! This converts the AAVSO-format text file into data which is then added to the existing observation record in the native CHARA database and can then be viewed or filtered as described under the database help screen.
Bear in mind of course that if you are a prolific observer and you have downloaded several years' worth of observations, this could take a while because of the operations that have to be performed on each record to turn it into usable data. As an example, if you download about 200 observations the process takes about 1 second. One problem with the AAVSO database format is that it does not include the observer's actual estimate (as does CHARA) so therefore in your downloaded observations the 'estimate' is constructed by other means but you will at least be able to see which comparison stars you used.
When the process is over you will get a confirmation message that your observations from AAVSO have been imported and are in the database.